Loading...
Searching...
No Matches
etl::ireference_counted_message Class Referenceabstract

## Public Member Functions

virtual ETL_NODISCARD etl::imessage & | get_message ()=0
| Get a reference to the message.
virtual ETL_NODISCARD const etl::imessage & | get_message () const =0
| Get a const reference to the message.
virtual ETL_NODISCARD etl::ireference_counter & | get_reference_counter ()=0
virtual ETL_NODISCARD const etl::ireference_counter & | get_reference_counter () const =0
| Get a const reference to the reference counter.
virtual void | release ()=0
| Release back to the owner.

## Member Function Documentation

## get_message() [1/2]

virtual ETL_NODISCARD const etl::imessage & etl::ireference_counted_message::get_message | ( |  | ) | const

pure virtual

Get a const reference to the message.

Implemented in etl::persistent_message< TMessage >, and etl::reference_counted_message< TMessage, TCounter >.

## get_message() [2/2]

virtual ETL_NODISCARD etl::imessage & etl::ireference_counted_message::get_message | ( |  | ) |

pure virtual

Get a reference to the message.

Implemented in etl::persistent_message< TMessage >, and etl::reference_counted_message< TMessage, TCounter >.

## get_reference_counter() [1/2]

virtual ETL_NODISCARD const etl::ireference_counter & etl::ireference_counted_message::get_reference_counter | ( |  | ) | const

pure virtual

Get a const reference to the reference counter.

Implemented in etl::persistent_message< TMessage >, and etl::reference_counted_message< TMessage, TCounter >.

## get_reference_counter() [2/2]

virtual ETL_NODISCARD etl::ireference_counter & etl::ireference_counted_message::get_reference_counter | ( |  | ) |

pure virtual

Get a reference to the reference counter.

Implemented in etl::persistent_message< TMessage >, and etl::reference_counted_message< TMessage, TCounter >.

## release()

virtual void etl::ireference_counted_message::release | ( |  | ) |

pure virtual

Release back to the owner.

Implemented in etl::persistent_message< TMessage >, and etl::reference_counted_message< TMessage, TCounter >.

The documentation for this class was generated from the following file:

- include/etl/reference_counted_message.h